--    Copyright (C) 2004 by neuron                                          
--    aagaande@gmail.com                                             
--                                                                          
--    This program is free software; you can redistribute it and--or modify  
--    it under the terms of the GNU General Public License as published by  
--    the Free Software Foundation; either version 2 of the License, or     
--    (at your option) any later version.                                   
--                                                                          
--    This program is distributed in the hope that it will be useful,       
--    but WITHOUT ANY WARRANTY; without even the implied warranty of        
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
--    GNU General Public License for more details.                          
--                                                                          
--    You should have received a copy of the GNU General Public License     
--    along with this program; if not, write to the                         
--    Free Software Foundation, Inc.,                                       
--    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 

-- Move this to Quixote, make a Quest tracker parent in quixote?  Search and replace all nQuestLog with that class.

function nQuestLog:LoadModules()
	-- Load all modules
	for name, module in self:IterateModules() do
		-- Todo, figure out if a module is default to enabled or disabled
		if (module:OnModuleLoad()) then
			self:ToggleModuleActive(name,true)
		else
			self:ToggleModuleActive(name,false)
		end
	end
end

-- menu argument is the menu to add all settings to
function nQuestLog:GetSettingsMenu()
	local menu = {
		type="group",
		name="Settings - TODO LOCALIZE",
		description="",
		args = {}
	} 
	for name, module in self:IterateModules() do
		local subMenu = {
			type='toggle',
			name=name,
			description=module.description,
			get=function()
				return self:IsModuleActive(name)
			end,
			set=function(v)
				self:ToggleModuleActive(name,v)
			end
		}
		if (module.GetMenu) then
			module:GetMenu(subMenu)
		end
		
		menu.args[name] = subMenu
	end
end
